# Regions

Gather an overview of all the regions available within your subscription via the regions' endpoint. Retrieve basic information or enrich your response.&#x20;

Use one of our 3 regions' endpoints. Per endpoint, you can find the details, including base URL, parameters, includes and more.&#x20;

* **GET All Regions:** returns all the regions that are available within your subscription.
* **GET Regions by ID:** returns information from your requested region ID.
* **GET Regions by Search:** returns region information that matches your search query.

#### Include options

[`country`](/v3/core-api/entities/core.md#country) [`cities`](/v3/core-api/entities/core.md#city)

**Related Entities:**

Get an overview and explanation of all the fields returned in the API response. The related entities for the regions' endpoints are:

* [Region](/v3/core-api/entities/core.md#region)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/core-api/endpoints/regions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
